Close

VSCO KEYS

YOUR OPERATING SYSTEM IS NOT SUPPORTED

Mac

VSCO Keys requires Lion (10.7) or Mountain Lion (10.8). with Adobe Lightroom 3 or Lightroom 4.

Windows

Lightroom 4 VSCO Keys requires Windows Vista, Windows 7 or Windows 8 and Adobe Lightroom 4's minimum system requirements.

Lightroom 3 VSCO Keys requires Windows 7 or Windows 8 and Adobe Lightroom 3's minimum system requirements.